summaryrefslogtreecommitdiffstats
path: root/libraries/faun/faun.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'libraries/faun/faun.SlackBuild')
-rw-r--r--libraries/faun/faun.SlackBuild85
1 files changed, 85 insertions, 0 deletions
diff --git a/libraries/faun/faun.SlackBuild b/libraries/faun/faun.SlackBuild
new file mode 100644
index 0000000000..21d6e054ce
--- /dev/null
+++ b/libraries/faun/faun.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/bash
+
+# Slackware build script for faun
+
+# Written by B. Watson (urchlay@slackware.uk)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# Note: This exists because it's a dependency of xu4. I probably won't
+# update it unless/until an xu4 update requires a newer version of
+# faun. I will not update it, if the update would break the xu4 build.
+# I'm not sure anything else uses faun, anyway.
+
+# 20230712 bkw: updated for v0.1.3.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=faun
+VERSION=${VERSION:-0.1.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+sed -i "s,-O3,$SLKCFLAGS," Makefile
+
+# Note: *not* a GNU autoconf script, does not support standard options.
+# Also the Makefile doesn't use DESTDIR in the canonical way (it's
+# more like PREFIX).
+./configure --prefix /usr
+make
+make install DESTDIR=$PKG/usr
+
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cp -a COPYING README* example $PKGDOC
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE